Description

Hi, I'm, not sure where to turn for help and guidance, so this is my second stop.

As you can see in link provided from AskUbuntu forum, I have a soma fm stream going on in background, but even if I untick show

pop-up information and restart audacious, the pop-up still shows, cluttering my desktop.

I'm not sure if its an audacious bug or Ubuntu 16.04 LTS.

Please help. Thanks in advance.

Please see link in this AskUbuntu forum.

[[https://askubuntu.com/q/925230/524531]]

History

#1 - June 15, 2017 15:16 - Thomas Lange

Just to be sure, do you mean the notifications which are shown when hovering a title in the playlist?

Like in this screenshot? http://audacious-media-player.org/images/3.6-on-win8.png

Or the notifications which are shown by the desktop environment?

Like in this screenshot? https://i.stack.imgur.com/UXDXc.png

#2 - June 15, 2017 16:41 - Fawad Raza

Thomas Lange wrote:

Just to be sure, do you mean the notifications which are shown when hovering a title in the playlist?

Like in this screenshot? http://audacious-media-player.org/images/3.6-on-win8.png

Or the notifications which are shown by the desktop environment?

Like in this screenshot? https://i.stack.imgur.com/UXDXc.png

 

It is neither, its a message box / alert styled pop-up (sorry should have been clearer) okay full details:

As I said, I run a web stream as playlist (saved the stream as playlist) and click play and then "X" on window to hide Audacious, because this is my

background music player while I learn and develop software.

The playlist is actually a web stream from soma fm (although I don't think that is the issue) so when the stream changes track, a message box pops

up, and when stream changes track again, another message box appears, each has Song name, and Play, Cancel and OK buttons.

So, after a few hours of study and playing with code, when I come out of my IDE, there are literally dozens of message boxes waiting for me to either

hit cancel or play or okay etc.

Exact steps to reproduce what I am having:

1. Open Audacious 3.8.2
2. Make Settings as in this screenshot:

 audcaious.png 

3. Go to this link https://somafm.com/spacestation/

4. Pick a playlist.

5. Let it play (sorry, its an ambient playlist and tracks are usually around 5 mins or more).

6. Next track comes and a message box appears.

7. Let it play for two hours at least.

8. Plenty of message boxes / alert-styled pop-ups there.

Please IF I am missing some settings/something, let me know, player is awesome and I have set it up (EQ wise) to my liking, I don't want to change

player.

Thanks in advance.

#3 - June 16, 2017 02:16 - John Lindgren

Do you have any of these plugins enabled?

Alarm

AOSD (On-Screen Display)

Desktop Notifications

MPRIS 2 Server

Song Change

Status Icon

#4 - June 16, 2017 02:24 - John Lindgren

Also, Audacious has many settings that change its behavior.  You haven't shown us your config file, which would be helpful.  Or, try backing up your

config and starting fresh to see what option you changed that produces the popups.

#5 - June 16, 2017 07:08 - Fawad Raza

Okay I'll check.

#6 - June 16, 2017 07:34 - Fawad Raza

- File DesktopNotificationsOff.png added

John Lindgren wrote:

Do you have any of these plugins enabled?

Alarm

AOSD (On-Screen Display)

Desktop Notifications

MPRIS 2 Server

Song Change

Status Icon

Also, Audacious has many settings that change its behavior.
Indeed, that was the thing I was missing (in bold above). Desktop Notifications, that was the culprit, so turned it off, clicked 'X' to close Audacious to

System Tray and voila! No more Desktop alerts. Attached screenshot for current settings.

Thank you for those pointers. Appreciated. :-)

Regards.

#7 - June 17, 2017 15:15 - John Lindgren

- Tracker changed from Bug to Support

- Status changed from New to Closed

I have seen Ubuntu do this in the past (turn notifications into message boxes) but I thought they would have fixed it by now.  Anyway, glad you figured

it out.
